curl --request GET \
--url http://studio.premai.io/api/v1/public/recommendations/{snapshotId} \
--header 'Authorization: Bearer <token>'{
"snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"recommended_models": [
{
"base_model_id": "<string>",
"recommended": true,
"full_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"lora_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"reason_for_recommendation": "<string>"
}
],
"recommended_experiments": [
{
"base_model_id": "<string>",
"batch_size": 123,
"learning_rate_multiplier": 123,
"n_epochs": 123,
"lora": true,
"recommended": true,
"reason_for_recommendation": "<string>"
}
]
}Poll recommendation status and view suggested models.
curl --request GET \
--url http://studio.premai.io/api/v1/public/recommendations/{snapshotId} \
--header 'Authorization: Bearer <token>'{
"snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"recommended_models": [
{
"base_model_id": "<string>",
"recommended": true,
"full_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"lora_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"reason_for_recommendation": "<string>"
}
],
"recommended_experiments": [
{
"base_model_id": "<string>",
"batch_size": 123,
"learning_rate_multiplier": 123,
"n_epochs": 123,
"lora": true,
"recommended": true,
"reason_for_recommendation": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Recommendations status
processing, completed, failed Show child attributes
Show child attributes
Was this page helpful?